Bug 2546 - crond does not close stdin
: crond does not close stdin
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vixie-cron)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-04-24 19:03 by
Modified: 2003-11-14 15:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-24 19:03:01
vixie-cron-3.0.1-ipl56mdk

После service crond restart запущенный crond не закрывает fd 0, в результате, например, после обновления, запущенного по ssh, не закрывается соединение. Приходится делать service crond restart </dev/null.

Пример:

# ps ax|grep cron[d]
 1137 ?        S      0:00 crond
# lsof -p 1137
COMMAND  PID USER   FD   TYPE     DEVICE    SIZE     NODE NAME
crond   1137 root  cwd    DIR        3,6     116 16796768 /var/spool
crond   1137 root  rtd    DIR        3,6    4096      128 /
crond   1137 root  txt    REG        3,6   22968 25421066 /usr/sbin/crond
crond   1137 root  mem    REG        3,6   71000 21691474 /lib/ld-2.2.6.so
crond   1137 root  mem    REG        3,6   36692 21691476 /lib/libnss_files-2.2.6.so
crond   1137 root  mem    REG        3,6 1156872   595345 /lib/i686/libc-2.2.6.so
crond   1137 root  mem    REG        3,6   39860 21135481 /lib/libnss_nisplus-2.2.6.so
crond   1137 root  mem    REG        3,6   73548 21020689 /lib/libnsl-2.2.6.so
crond   1137 root  mem    REG        3,6   35216 21135478 /lib/libnss_nis-2.2.6.so
crond   1137 root    0u   CHR        5,1         16797330 /dev/console
crond   1137 root    1w  FIFO        0,5             3964 pipe
crond   1137 root    2w  FIFO        0,5             3965 pipe
crond   1137 root    3u   REG        3,6       5 12583055 /var/run/crond.pid
crond   1137 root    4u  unix 0xc232cae0             3971 socket
# service crond restart
Stopping cron daemon:                                                   [  OK  ]
Starting cron daemon:                                                   [  OK  ]
# ps ax|grep cron[d]
24848 ?        S      0:00 crond
# lsof -p 24848
COMMAND   PID USER   FD   TYPE     DEVICE    SIZE     NODE NAME
crond   24848 root  cwd    DIR        3,6     116 16796768 /var/spool
crond   24848 root  rtd    DIR        3,6    4096      128 /
crond   24848 root  txt    REG        3,6   22968 25421066 /usr/sbin/crond
crond   24848 root  mem    REG        3,6   71000 21691474 /lib/ld-2.2.6.so
crond   24848 root  mem    REG        3,6   36692 21691476 /lib/libnss_files-2.2.6.so
crond   24848 root  mem    REG        3,6 1156872   595345 /lib/i686/libc-2.2.6.so
crond   24848 root  mem    REG        3,6   39860 21135481 /lib/libnss_nisplus-2.2.6.so
crond   24848 root  mem    REG        3,6   73548 21020689 /lib/libnsl-2.2.6.so
crond   24848 root  mem    REG        3,6   35216 21135478 /lib/libnss_nis-2.2.6.so
crond   24848 root    0u   CHR     136,11               13 /dev/pts/11
crond   24848 root    1w  FIFO        0,5           188579 pipe
crond   24848 root    2w  FIFO        0,5           188580 pipe
crond   24848 root    3u   REG        3,6       6 12583055 /var/run/crond.pid
crond   24848 root    4u  unix 0xc232cae0           188583 socket

Т.е. остался открытым /dev/pts/11.
---

---

------- Comment #1 From 2003-04-25 01:32:13 -------
Thanks, fixed in 3.0.1-ipl57mdk
------- Comment #2 From 2003-04-25 01:32:13 -------
Thanks, fixed in 3.0.1-ipl57mdk